#
# Conditional build:
%bcond_with	tests		# build with tests
%define		kdeplasmaver	5.27.11
%define		qtver		5.15.2
%define		kpname		kgamma
Summary:	kgamma5
Name:		kp5-kgamma5
Version:	5.27.11
Release:	1
License:	GPL v2+/LGPL v2.1+
Group:		X11/Libraries
Source0:	https://download.kde.org/stable/plasma/%{kdeplasmaver}/kgamma5-%{version}.tar.xz
# Source0-md5:	a7435647063fe5a4020135c8532d3d12
URL:		http://www.kde.org/
BuildRequires:	Qt5Core-devel >= %{qtver}
BuildRequires:	Qt5Gui-devel >= %{qtver}
BuildRequires:	Qt5Widgets-devel >= %{qtver}
BuildRequires:	Qt5X11Extras-devel >= %{qtver}
BuildRequires:	cmake >= 3.16.0
BuildRequires:	gettext-devel
BuildRequires:	kf5-extra-cmake-modules >= 1.4.0
BuildRequires:	kf5-kdelibs4support-devel
BuildRequires:	kf5-kdoctools-devel
BuildRequires:	ninja
BuildRequires:	qt5-build >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	tar >= 1:1.22
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXxf86vm-devel
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module is a tool for monitor gamma correction. With proper gamma
settings, your display (websites, images, etc.) will look the same on
your monitor as on other monitors. It allows you to alter the
monitor's gamma correction of the X-Server. But that's not all to do.

%prep
%setup -q -n %{kpname}-%{version}

%build
%cmake -B build \
	-G Ninja \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	-DHTML_INSTALL_DIR=%{_kdedocdir}
%ninja_build -C build

%if %{with tests}
ctest
%endif

%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

%find_lang %{kpname} --all-name --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{kpname}.lang
%defattr(644,root,root,755)
%{_libdir}/qt5/plugins/plasma/kcminit/kcm_kgamma_init.so
%{_libdir}/qt5/plugins/plasma/kcms/systemsettings/kcm_kgamma.so
%{_datadir}/kgamma
%changelog
* Mon Apr 15 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kp5-kgamma5.git;a=log;h=master

* Thu Mar 14 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 8769f55
- updated to 5.27.11

* Wed Dec 06 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 9223566
- updated to 5.27.10

* Wed Oct 25 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 9a50336
- updated to 5.27.9

* Wed Sep 13 2023 Witold Filipczyk <witekfl@poczta.onet.pl> fa66688
- updated to 5.27.8

* Wed Aug 02 2023 Witold Filipczyk <witekfl@poczta.onet.pl> d781b1e
- updated to 5.27.7; cmake -B build

* Wed Jun 21 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 099a4bb
- updated to 5.27.6

* Mon Jun 19 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 7dd76ab
- rebuild against QT 5.15.10

* Wed May 10 2023 Witold Filipczyk <witekfl@poczta.onet.pl> d65999b
- updated to 5.27.5

* Sun Apr 09 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> e8b0ed0
- rebuild against QT 5.15.9

* Tue Apr 04 2023 Witold Filipczyk <witekfl@poczta.onet.pl> fbaa452
- updated to 5.27.4

* Wed Mar 15 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 7490784
- updated to 5.27.3

* Wed Mar 01 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 23f2be9
- updated to 5.27.2

* Wed Feb 22 2023 Witold Filipczyk <witekfl@poczta.onet.pl> dea5bd0
- updated to 5.27.1

* Tue Feb 14 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 9ef212a
- updated to 5.27.0

* Wed Jan 04 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 32e3175
- updated to 5.26.5

* Tue Nov 29 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 5a14e08
- updated to 5.26.4

* Wed Nov 09 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 7990e0f
- updated to 5.26.3

* Thu Oct 27 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 79edeac
- updated to 5.26.2

* Wed Oct 19 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 98ace64
- updated to 5.26.1

* Wed Oct 12 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 608c9ac
- updated to 5.26.0

